var map = null;
var geocoder = null;
var directionsService = null;
var directionDisplay;

if(typeof disable_form == "undefined") {
	var disable_form = true;
}

if(typeof disable_map == "undefined") {
	var disable_map = true;
}

jQuery(document).ready(function($) {
	if(!disable_form) {
		$('#ultimate_contact_form').submit(function() {
			$('#ultimate_contact_error_message').hide();
			$.post(UltimateContact.ajaxurl, $("#ultimate_contact_form").serialize(),
				 function(data) {
					if(data.success) {
						$('#ultimate_contact_form_wrapper').hide('slow');
						$('#ultimate_contact_form_sent').show('slow');
					} else {
						if(data.reason == "badtest") {
							Recaptcha.reload();
						}
						$('#ultimate_contact_error_message').show('show').html(data.message);
					}
				},
			'json'
			);
			return false;
		});
	}
	
	if(!disable_map) {
		$("#exit-fullscreen").live('click', function() {
			$('#exit-fullscreen').remove();
			$("#map_canvas").removeClass("fullscreen");
			google.maps.event.trigger(map, 'resize');
			map.setCenter($("#ultimate_contact_search_addr").geocomplete("marker").getPosition());
			return false;
		});

		$("#map_toggler").click(function() {
			$("#map_canvas").addClass("fullscreen");

			google.maps.event.trigger(map, 'resize');
			map.setCenter($("#ultimate_contact_search_addr").geocomplete("marker").getPosition());

			$("#map_canvas").append('<a href="#" id="exit-fullscreen">' + UltimateContact.exitFullscreen + '</a>');
			return false;
		});

		$("#ultimate_contact_search_addr").val(ultimate_contact_address).geocomplete({
			map: "#map_canvas",
			location: ultimate_contact_address,
			markerOptions: {
				draggable: false
			}
		});


		var directionsService = new google.maps.DirectionsService();
		directionsDisplay = new google.maps.DirectionsRenderer();
		directionsDisplay.setMap(map);

		$('#get_directions_form').submit(function() {
			var start = document.getElementById('map_from_addr').value;
			var end = ultimate_contact_address;
			var request = {
				origin: start,
				destination: end,
				travelMode: google.maps.DirectionsTravelMode.DRIVING
			};
			directionsService.route(request, function(response, status) {
				if (status == google.maps.DirectionsStatus.OK) {
					directionsDisplay.setDirections(response);
				}
			});
			return false;
		});
	}
});